#ifndef INCLUDE_MultipleSessionsApp_H
#define INCLUDE_MultipleSessionsApp_H

#include <string>
#include "SealKernel/Context.h"

class Reporter;

class MultipleSessionsApp
{
public:
  MultipleSessionsApp( const std::string& connectionString,
                       const std::string& userName,
                       const std::string& password,
                       Reporter& reporter );
  virtual ~MultipleSessionsApp();
  void run();

private:
  seal::Handle<seal::Context> m_context;
  std::string m_connectionString;
  std::string m_userName;
  std::string m_password;
  Reporter& m_reporter;
};

#endif
