#ifndef QUERIES_H
#define QUERIES_H

#include <string>
#include "TestBase.h"

namespace coral {
  class IRelationalDomain;
  class IConnection;
}

class Queries : public TestBase
{
public:
  Queries( coral::IRelationalDomain& domain,
           const std::string& connectionString,
           coral::IAuthenticationService& authenticationService,
           const std::string& workingSchema );

  ~Queries();

  bool run();

private:
  coral::IConnection*       m_connection;
  std::string               m_schemaName;
  std::string               m_workingSchema;
};

#endif
