#ifndef TESTDRIVER_H
#define TESTDRIVER_H

#include <string>

#include "SealKernel/Context.h"

namespace coral { class AttributeList; }

class TestDriver {

public:
  TestDriver();
  ~TestDriver();

  void prepareSchema( const std::string& serviceName );

  void writeSimple( const std::string& serviceName );

  void writeBulk( const std::string& serviceName );

  void read( const std::string& serviceName );

private:
  void fillData( int i );

  void checkData( int i ) const;

private:
  seal::Handle<seal::Context> m_context;
  coral::AttributeList*       m_rowBuffer;
};

#endif
