#ifndef TOPTHREAD_H
#define TOPTHREAD_H

namespace coral {
  class IConnectionService;
}

class Reporter;
class GlobalStatus;

class TopThread {
public:
  TopThread( coral::IConnectionService& connectionService,
             Reporter& reporter,
             int id,
             GlobalStatus& ok ):
    m_connectionService( connectionService ),
    m_reporter( reporter ),
    m_id( id ),
    m_ok( ok )
  {}

  ~TopThread() {}

  void operator()();

private:
  coral::IConnectionService& m_connectionService;
  Reporter& m_reporter;
  int m_id;
  GlobalStatus& m_ok;
};

#endif
