# Executable Context Defaults

# The sources
FILESCPP = $(wildcard $(LOCALTOP)/$(ClassDir)/*.$(CPPEXT) )
FILESOBJ = $(patsubst $(LOCALTOP)%.$(CPPEXT), $(LOCALTOP)/tmp/$(SCRAM_ARCH)%.$(OBJEXT), $(FILESCPP) )
FILESDEP := $(patsubst %.$(OBJEXT), %.$(DEPEXT), $(FILESOBJ) )
FILESEXE = $(patsubst $(LOCALTOP)/$(ClassDir)/%.$(CPPEXT), $(LOCALTOP)/$(SCRAM_ARCH)/bin/%$(EXESUF), $(FILESCPP) )

# Find the correct path for the libraries
LIBDIR += $(LOCALTOP)/$(SCRAM_ARCH)/lib
ifneq ($(RELEASETOP),$(LOCALTOP))
LIBDIR +=$(RELEASETOP)/$(SCRAM_ARCH)/lib
endif


ifneq ($(FILESDEP),)
-include $(FILESDEP)
endif

$(LOCALTOP)/tmp/$(SCRAM_ARCH)%.d: $(LOCALTOP)%.cpp
	@echo "Building the dependencies for $<"
	@$(MKDIR) $(dir $@)
	@$(PYTHONEXE) $(LOCALTOP)/$(projconfigdir)/find_dependencies.py $< $@ $(OBJEXT) $(INCLUDE)

ifneq ($(FILESEXE),)
Utility: $(FILESEXE)
else
Utility:
endif

$(LOCALTOP)/$(SCRAM_ARCH)/bin/%$(EXESUF): $(LOCALTOP)/$(ClassDir)/%.cpp
	@$(MKDIR) $(dir $@)
	$(COMPILEANDBUILDEXE)
