#!/usr/bin/env python

import sys
import os.path

numberOfDirectories = len(sys.argv) - 1
outputDirectories = []

for i in range(numberOfDirectories):
    inputDirectory = os.path.normpath( sys.argv[i+1] )
    if inputDirectory not in outputDirectories:
        outputDirectories.append( inputDirectory )

for directory in outputDirectories:
    sys.stdout.write( directory )
    sys.stdout.write( ' ' )

sys.stdout.write( '\n' )
