#include "PluginManager/ModuleDef.h"
#include "SealKernel/ComponentFactory.h"
#include "Domain.h"
#include "TypeConverter.h"

DEFINE_SEAL_MODULE();

// MySQLAccess domain service
DEFINE_SEAL_PLUGIN(seal::ComponentFactory,coral::MySQLAccess::Domain,coral::MySQLAccess::Domain::classContextLabel());

// MySQLAccess internal components
DEFINE_SEAL_PLUGIN(seal::ComponentFactory,coral::MySQLAccess::TypeConverter,coral::MySQLAccess::TypeConverter::classContextLabel());
