#ifndef PYCORAL_CONTEXT_H
#define PYCORAL_CONTEXT_H

#ifdef _DEBUG
#undef _DEBUG
#include "Python.h"
#define _DEBUG
#else
#include "Python.h"
#endif

namespace seal {
  class Context;
}

namespace coral {

  namespace PyCoral {

    typedef struct {
      PyObject_HEAD
      seal::Context* object; // The underlying C++ type
    } Context;

    /// Returns the Python type
    PyTypeObject* Context_Type();

  }

}

#endif
