#ifndef DML_OPERATIONS_H
#define DML_OPERATIONS_H

#include <string>
#include "TestBase.h"

namespace coral {
  class IRelationalDomain;
  class IConnection;
}

class DmlOperations : public TestBase
{
public:
  DmlOperations( coral::IRelationalDomain& domain,
                 const std::string& connectionString,
                 coral::IAuthenticationService& authenticationService );

  ~DmlOperations();

  bool atomicOperations();

  bool bulkOperations();

private:
  coral::IConnection*       m_connection;
  std::string               m_schemaName;
};

#endif
