#ifndef INSERT_SELECT_H
#define INSERT_SELECT_H

#include <string>
#include "TestBase.h"

namespace coral {
  class IRelationalDomain;
  class IConnection;
}

class InsertSelect : public TestBase
{
public:
  InsertSelect( coral::IRelationalDomain& domain,
                const std::string& connectionString,
                coral::IAuthenticationService& authenticationService );

  ~InsertSelect();

  bool run();

private:
  coral::IConnection*       m_connection;
  std::string               m_schemaName;
};

#endif
