#ifndef SET_OPERATIONS_H
#define SET_OPERATIONS_H

#include <string>
#include "TestBase.h"

namespace coral {
  class IRelationalDomain;
  class IConnection;
}

class SetOperations : public TestBase
{
public:
  SetOperations( coral::IRelationalDomain& domain,
                 const std::string& connectionString,
                 coral::IAuthenticationService& authenticationService,
                 const std::string& workingSchema );

  ~SetOperations();

  bool run();

private:
  coral::IConnection*       m_connection;
  std::string               m_schemaName;
  std::string               m_workingSchema;
};

#endif
