#!/bin/sh
#
# Sets the requiered variables and starts a client with given parameter
#
# Need 4 parameters : the report period, hostname, client id and the log files directory
if [[ $# != 4 ]];
then echo "Usage: runClient.sh reportPeriod hostName clientId logFilesDir";
exit -1;
fi

#############################
### Stress test variables ###
#############################

export TEST_HOME=/afs/cern.ch/user/l/lramos/work/perf
export TEST_LOG=$STRESS_HOME/logs

#############################
####### Client start ########
#############################

host=$2
id=$3
log_file=$4/log_$host-$id

cd /afs/cern.ch/user/l/lramos/work/athena
./athena.sh $host $id >$log_file.log 2>$log_file.err

