import sys
import string
import os.path

inputFileName = sys.argv[1]
inputFile = open( inputFileName, 'r' )
allLines = inputFile.readlines()
inputFile.close()

libName = ''
for line in allLines:
    pos = string.find( line, "Dump of file" )
    if pos != -1:
        libName = string.strip( line[pos+12:] )
        pos = string.rfind( libName, '\\' )
        if pos != -1:
            libName = libName[pos+1:]
        pos = string.find( libName, '.' )
        if pos != -1:
            libName = libName[:pos]
        break

outputStream = open( inputFileName, 'w' )
outputStream.write( 'LIBRARY ' + libName + '\nEXPORTS\n')

for line in allLines:
    words = string.split( line )
    if 'External' in words:
        if words[2] == 'UNDEF': continue
        theSymbol = words[ words.index('|') + 1 ]
        if theSymbol.find( '??_' ) != -1: continue
        if theSymbol[0] == '_' and theSymbol[1] == '_': continue
        if theSymbol[0:5] == '_SEAL' : theSymbol = theSymbol[1:]
        if '()' in words:
            outputStream.write( ' ' + theSymbol + '\n' )
        else:
            outputStream.write( ' ' + theSymbol + '\tDATA\n' )
outputStream.close
