#!/usr/bin/env python

import sys
import os
import os.path
import string

try:
    # Check the number of arguments
    if len(sys.argv) < 2:
        errorString = "Syntax : " + os.path.split( sys.argv[0] )[1] + " path"
        raise Exception, errorString

    cleanPath = os.path.normpath( sys.argv[1] )
    firstSplit = os.path.split( cleanPath )
    if len( firstSplit[1] ) == 0:
        errorString = "Invalid path : \"" + cleanPath + "\""
        raise Exception, errorString
    parentDir = firstSplit[0]
    if len( parentDir ) == 0:
        parentDir = os.getcwd()

    secondSplit = os.path.split( parentDir )
    sys.stdout.write( secondSplit[1] + '\n' )

except Exception, e:
    sys.stderr.write( str(e) + '\n' )

